Brauche dringend Hilfe! Netter Fachmann/frau gefragt..

Fragen und Anmerkungen zu den Lispprogrammen von CADwiesel
Antworten
Melli
Newbie
Beiträge: 3
Registriert: Do 29. Jun 2006, 22:08

Brauche dringend Hilfe! Netter Fachmann/frau gefragt..

Beitrag von Melli » Do 29. Jun 2006, 22:12

Hallo alle zusammen!

Bin gan neu hier und habe gleich eine Frage. Und zwar muss ich ein Programm in Lisp schreiben. Leider bin ich mit der Augabe völlig überfordert und es wäre toll, wenn mir jemand beim Lösen helfen könnte. es dürfte sich dabei um keine so schwierige Aufgabe handeln.

Ich soll eine Farbnummer einlesen und die dann einem Element zuordnen.

Danke schonmal,
Lieber Gruß
Melli

Benutzeravatar
CADwiesel
Administrator
Beiträge: 367
Registriert: Mo 11. Jun 2018, 13:07
Kontaktdaten:

Beitrag von CADwiesel » Fr 30. Jun 2006, 08:38

na was heißt denn einlesen?
aus 'ner textdatei, oder aus 'ner dwg?
wie sieht die Nummer aus (welches Format)?

Hier mal ein Beispiel wie sowas geht:

Code: Alles auswählen



;;; ZEList => elementliste, wie von(entget(car(entsel))) geliefert wird
;;; col => farbnummer Bspl: 3 (Gültige Farbnummern sind 1 bis 256)
;;; key ist der dxf code, der aus der elementliste verändert oder ergänzt werden soll

;;;BSP: (zeroz 62 (entget(car(entsel))) 3)


(defun zeroz (key ZEList col / OPList NPList F FF)
  (setq OPList (assoc key ZEList))
  (if (= OPList nil)
    (setq ff     (cdr (member (assoc 8 ZEList) zelist))
          f      (reverse (member (assoc 8 ZEList) (reverse zelist)))
          ZEList (append f (cons (cons key col) ff))
          ) ;_ end of setq
    (setq NPList (cons key col)
          ZEList (subst NPList OPList ZEList)
          ) ;_ end of setq
    ) ;_ end of if
  (entmod ZEList)
  ZELIST
  )
Gruß
BildCADwiesel
Besucht uns im CHAT

Melli
Newbie
Beiträge: 3
Registriert: Do 29. Jun 2006, 22:08

Beitrag von Melli » Do 20. Jul 2006, 13:18

Danke!

Leider bin ich etwas überfragt. Dein Beispiel sieht auch etwas kompliziert für mich aus ;-) bin echt ein sehr großer Anfänger.

Ich habe das Programm in einer Zeile geschreiben und abgegeben. Jetzt wurde mir gesagt es fehlt das was in der Befehlszeile kommt. Also "wähen sie.." und so weiter...ich weiß nicht wie das geht... :cry:

mein programm sieht so aus:

(command "_chprop" (ssget) "" "_c" (acad_colordlg 1) "")

wie kann ich es ändern das es passt. Kannst Du mir nochmal helfen?

Lieber Gruß!!

Melli
Newbie
Beiträge: 3
Registriert: Do 29. Jun 2006, 22:08

Beitrag von Melli » Sa 22. Jul 2006, 13:54

Bin echt um jede Hilfe dankbar!!

Antworten